package com.cygnusa.hyperm.training.chat;

public class Chat {
    private String id;
    private String name;
    private String message;
    private String profile;
    private String date;
    private boolean isRequest;
    private int canPresent = 1; //0-Accept, 1-Decline, 2-Dismiss, 3-Someone Present
    private boolean isRequesProfile;
    private boolean isRequesPresent;
    private boolean isResponse;
    private boolean isResponseProfile;
    private boolean isResponsePresent;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isRequest() {
        return isRequest;
    }

    public void setRequest(boolean request) {
        isRequest = request;
    }

    public String getProfile() {
        return profile;
    }

    public void setProfile(String profile) {
        this.profile = profile;
    }

    public int getCanPresent() {
        return canPresent;
    }

    /**
     * @param canPresent 0-Accept, 1-Decline, 2-Dismiss, 3-Someone Present, 4-Organisor Joined,5-Organisor Dismissed
     *                   , 6-Share Enabled,7-Share Disabled
     */
    public void setCanPresent(int canPresent) {
        this.canPresent = canPresent;
    }

    public boolean isRequesProfile() {
        return isRequesProfile;
    }

    public void setRequesProfile(boolean requesProfile) {
        isRequesProfile = requesProfile;
    }

    public boolean isRequesPresent() {
        return isRequesPresent;
    }

    public void setRequesPresent(boolean requesPresent) {
        isRequesPresent = requesPresent;
    }

    public boolean isResponseProfile() {
        return isResponseProfile;
    }

    public void setResponseProfile(boolean responseProfile) {
        isResponseProfile = responseProfile;
    }

    public boolean isResponsePresent() {
        return isResponsePresent;
    }

    public void setResponsePresent(boolean responsePresent) {
        isResponsePresent = responsePresent;
    }

    public boolean isResponse() {
        return isResponse;
    }

    public void setResponse(boolean response) {
        isResponse = response;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getFullName() {
        return name + "(" + id + ")";
    }
}
